export 'data/data_providers/app.dart';
export 'data/data_providers/app_config_provider.dart';
export 'data/data_providers/app_provider.dart';
export 'data/data_providers/app_launcher_info.dart';
export 'presentation/router/routes/routes.dart';
export 'data/theme/theme.dart';

//Models
export 'data/models/vehicle.dart';
export 'data/models/units.dart';
export 'data/models/audio_state.dart';
export 'data/models/radio_state.dart';
export 'data/models/mediaplayer_state.dart';
export 'data/models/connections_signals.dart';
export 'data/models/hybrid.dart';

//Screens
export 'presentation/screens/home/home.dart';
export 'presentation/screens/home/widgets/custom_tile.dart';
export 'presentation/screens/dashboard/dashboard.dart';
export 'presentation/screens/dashboard/widgets/hybrid/hybrid.dart';
export 'presentation/screens/dashboard/widgets/car_status.dart';
export 'presentation/screens/dashboard/widgets/range.dart';
export 'presentation/screens/dashboard/widgets/temperature.dart';
export 'presentation/screens/dashboard/widgets/circle_indicator.dart';
export 'presentation/screens/dashboard/widgets/child_lock.dart';
export 'presentation/screens/dashboard/widgets/hybrid_mode.dart';
export 'presentation/common_widget/custom_bottom_bar.dart';
export 'presentation/common_widget/custom_top_bar.dart';
export 'presentation/screens/media/media.dart';
export 'presentation/screens/hvac/hvac.dart';
export 'presentation/screens/settings/settings.dart';
export 'presentation/screens/settings/widgets/settings_list_tile.dart';
export 'presentation/screens/settings/settings_screens/date_time/date_time_screen.dart';
export 'presentation/screens/settings/settings_screens/bluetooth/bluetooth_screen.dart';
export 'presentation/screens/settings/settings_screens/wifi/wifi_screen.dart';
export 'presentation/screens/settings/settings_screens/wired/wired_screen.dart';
export 'presentation/screens/settings/settings_screens/audio_settings/audio_settings_screen.dart';
export 'presentation/screens/settings/settings_screens/profiles/profiles_screen.dart';
export 'presentation/screens/settings/settings_screens/units/units_screen.dart';
export 'presentation/screens/settings/settings_screens/version_info/version_info_screend.dart';
export 'presentation/screens/settings/settings_screens/units/distance/distance_unit_screen.dart';
export 'presentation/screens/settings/settings_screens/units/temperature/temperature_unit_screen.dart';
export 'presentation/screens/settings/settings_screens/units/pressure/pressure_unit_screen.dart';
export 'package:flutter_ics_homescreen/presentation/screens/settings/settings_screens/profiles/widgets/new_profile_screen.dart';

export 'presentation/screens/apps/apps.dart';
export 'presentation/screens/splash/splash.dart';
export 'presentation/screens/splash/widget/splash_content.dart';
export 'presentation/screens/hvac/hvac_content.dart';
export 'presentation/screens/hvac/widgets/climate_controls.dart';
export 'presentation/screens/hvac/widgets/fan_focus.dart';
export 'presentation/screens/hvac/widgets/fan_speed_controls.dart';
export 'presentation/screens/hvac/widgets/temperature_control.dart';
export 'presentation/common_widget/custom_title.dart';
export 'presentation/screens/weather/weather.dart';
export 'presentation/screens/weather/hourly_forecast.dart';
export 'presentation/screens/clock/clock.dart';

export 'core/utils/widgets/back_button.dart';
export 'core/constants/vss_path.dart';
export 'core/constants/constants.dart';
//Common widgets
export 'presentation/common_widget/settings_top_bar.dart';
export 'presentation/common_widget/generic_button.dart';

//Packages
export 'package:flow_builder/flow_builder.dart';
export 'package:flutter_riverpod/flutter_riverpod.dart';
export 'package:google_fonts/google_fonts.dart';
export 'package:flutter_analog_clock/flutter_analog_clock.dart';
export 'package:yaml/yaml.dart';
export 'package:lottie/lottie.dart';
//export 'package:new_virtual_keyboard/virtual_keyboard.dart';

//export 'package:intl/intl.dart';

//export 'package:protos/protos.dart';

//other
export 'dart:typed_data';
export 'dart:io';

export 'package:flutter/material.dart';
export 'package:flutter_svg/svg.dart';
export 'package:flutter_ics_homescreen/core/constants/colors.dart';
export 'package:flutter_ics_homescreen/presentation/screens/hvac/widgets/semi_circle_painter.dart';
export 'package:flutter_ics_homescreen/presentation/common_widget/volume_and_fan_control.dart';



//proto


// export 'l10n/l10n.dart';
// export 'package:flutter_gen/gen_l10n/app_localizations.dart';
